X2Go Bug report logs - #1364
MATE-Theming fails for x2gothinclient-minidesktop when installed on Debian Stretch

version graph

Package: x2gothinclient-minidesktop; Maintainer for x2gothinclient-minidesktop is (unknown);

Reported by: Stefan Baur <X2Go-ML-1@baur-itcs.de>

Date: Thu, 17 Jan 2019 01:05:01 UTC

Severity: normal

Tags: pending

Fixed in version 1.5.0.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1364; Package x2gothinclient-minidesktop. (Thu, 17 Jan 2019 01:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Thu, 17 Jan 2019 01:05:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: submit@bugs.x2go.org
Subject: MATE-Theming fails for x2gothinclient-minidesktop when installed on Debian Stretch
Date: Thu, 17 Jan 2019 01:57:34 +0100
package: x2gothinclient-minidesktop


This package contains a file
"/usr/share/glib-2.0/schemas/19_x2gothinclient-minidesktop.gschema.override",
however, according to Mike#1/sunweaver, the themes listed in there are
the wrong ones for a GTK-3 based MATE, thus theming fails, which results
in the Start button displaying the Gnome Foot instead of the MATE logo.

On Debian Jessie (oldstable), MATE is based on GTK-2, and thus it works
fine there.  However, it needs to be changed for Debian Stretch.

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1364; Package x2gothinclient-minidesktop. (Fri, 18 Jan 2019 12:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 18 Jan 2019 12:55:02 GMT) (full text, mbox, link).


Message #10 received at 1364@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1364-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1364@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as pending for release
Date: Fri, 18 Jan 2019 13:51:46 +0100 (CET)
tag #1364 pending
fixed #1364 1.5.0.1
thanks

Hello,

X2Go issue #1364 (src:x2gothinclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=25bef95

The issue will most likely be fixed in src:x2gothinclient (1.5.0.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 25bef951bd5a3bb13c49dc45992ca594a99de656
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jan 18 13:51:39 2019 +0100

    19_x2gothinclient-minidesktop.gschema.override: Explicitly use MATE-specific theming of the desktop UI. (Closes: #1364).

diff --git a/debian/changelog b/debian/changelog
index 1cac657..6ba6b2d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,6 +13,11 @@ x2gothinclient (1.5.0.1-0x2go1) UNRELEASED; urgency=medium
   * usbmount/x2gousbmount:
     - Pull (most) changes from doc:howto:tce wiki page.
 
+  [ Mike Gabriel ]
+  * New upstream release (1.5.0.1):
+    - 19_x2gothinclient-minidesktop.gschema.override: Explicitly use MATE-
+      specific theming of the desktop UI. (Closes: #1364).
+
  -- X2Go Release Manager <git-admin@x2go.org>  Sun, 02 Dec 2018 06:49:42 +0100
 
 x2gothinclient (1.5.0.0-0x2go1) unstable; urgency=low


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1364; Package x2gothinclient-minidesktop. (Fri, 18 Jan 2019 12:55:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 18 Jan 2019 12:55:03 GMT) (full text, mbox, link).


Message #15 received at 1364@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 1364@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1364: MATE-Theming fails for x2gothinclient-minidesktop when installed on Debian Stretch
Date: Fri, 18 Jan 2019 12:52:44 +0000
[Message part 1 (text/plain, inline)]
Hi Stefan,

On  Do 17 Jan 2019 01:57:34 CET, Stefan Baur wrote:

> package: x2gothinclient-minidesktop
>
>
> This package contains a file
> "/usr/share/glib-2.0/schemas/19_x2gothinclient-minidesktop.gschema.override",
> however, according to Mike#1/sunweaver, the themes listed in there are
> the wrong ones for a GTK-3 based MATE, thus theming fails, which results
> in the Start button displaying the Gnome Foot instead of the MATE logo.
>
> On Debian Jessie (oldstable), MATE is based on GTK-2, and thus it works
> fine there.  However, it needs to be changed for Debian Stretch.
>
> Kind Regards,
> Stefan Baur

Fix has been just pushed to Git. Can you please check, if it also  
works on jessie? (It should, but double checking would be nice.  
Thanks!).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 18 Jan 2019 12:55:04 GMT) (full text, mbox, link).


Marked as fixed in versions 1.5.0.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 18 Jan 2019 12:55:04 GMT) (full text, mbox, link).


Message sent on to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Bug#1364. (Fri, 18 Jan 2019 12:55:05 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1364; Package x2gothinclient-minidesktop. (Fri, 18 Jan 2019 13:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 18 Jan 2019 13:10:02 GMT) (full text, mbox, link).


Message #27 received at 1364@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 1364@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1364: MATE-Theming fails for x2gothinclient-minidesktop when installed on Debian Stretch
Date: Fri, 18 Jan 2019 14:03:28 +0100
[Message part 1 (text/plain, inline)]
Am 18.01.19 um 13:52 schrieb Mike Gabriel:

> Fix has been just pushed to Git. Can you please check, if it also works
> on jessie? (It should, but double checking would be nice. Thanks!).

On Jessie, it always worked - so do you want me to make sure your patch
didn't cause a regression?

Also, is it in heuler only or did you push a release? Just so I know
which repo to pick. :-)

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1364; Package x2gothinclient-minidesktop. (Fri, 18 Jan 2019 14:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 18 Jan 2019 14:10:02 GMT) (full text, mbox, link).


Message #32 received at 1364@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>
Cc: 1364@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1364: MATE-Theming fails for x2gothinclient-minidesktop when installed on Debian Stretch
Date: Fri, 18 Jan 2019 14:05:06 +0000
[Message part 1 (text/plain, inline)]
Hi,

On  Fr 18 Jan 2019 14:03:28 CET, Stefan Baur wrote:

> Am 18.01.19 um 13:52 schrieb Mike Gabriel:
>
>> Fix has been just pushed to Git. Can you please check, if it also works
>> on jessie? (It should, but double checking would be nice. Thanks!).
>
> On Jessie, it always worked - so do you want me to make sure your patch
> didn't cause a regression?

Yes, please do the regression test on jessie. On stretch, my fix  
should work, as I use that config set on other stretch systems, too.

> Also, is it in heuler only or did you push a release? Just so I know
> which repo to pick. :-)

heuler only, for now. (Mihai is master of releases).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1364; Package x2gothinclient-minidesktop. (Fri, 18 Jan 2019 16:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 18 Jan 2019 16:10:01 GMT) (full text, mbox, link).


Message #37 received at 1364@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 1364@bugs.x2go.org, Mihai Moldovan <ionic@ionic.de>
Subject: Re: [X2Go-Dev] Bug#1364: MATE-Theming fails for x2gothinclient-minidesktop when installed on Debian Stretch
Date: Fri, 18 Jan 2019 17:04:14 +0100
[Message part 1 (text/plain, inline)]
Am 18.01.19 um 15:05 schrieb Mike Gabriel:
>> Am 18.01.19 um 13:52 schrieb Mike Gabriel:
>>
>>> Fix has been just pushed to Git. Can you please check, if it also works
>>> on jessie? (It should, but double checking would be nice. Thanks!).
>>
>> On Jessie, it always worked - so do you want me to make sure your patch
>> didn't cause a regression?
> 
> Yes, please do the regression test on jessie. On stretch, my fix should
> work, as I use that config set on other stretch systems, too.

I can confirm that a theme gets properly applied on both jessie and
stretch now.  Both show the MATE start button.  The window decorations
and the taskbar color scheme (green for active app, greenish tint on
mouseover when minimized) are different compared to the previous
standard theme.  I've attached two screenshots from stretch showing the
effect; on jessie, it is the same.

However, I think this change is acceptable.  At least, we're not showing
the dreaded Gnome Foot any more, and are consistent across releases.

@Mihai: As it stands, we have upcoming changes for
x2gothinclient-minidesktop (this one)
x2gothinclient-usbmount
x2gothinclient-common [1]
Would it make more sense to release them as a bundle?
Or should we release them one at a time?

[1] There's a race condition in TCE-MMD-Live regarding the session
configuration file; I hope to have a fix ready either later today or
tomorrow.

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
[stretch-tce-mmd-1.png (image/png, attachment)]
[stretch-tce-mmd-2.png (image/png, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1364; Package x2gothinclient-minidesktop. (Mon, 21 Jan 2019 12:00:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Mon, 21 Jan 2019 12:00:04 GMT) (full text, mbox, link).


Message #42 received at 1364@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 1364@bugs.x2go.org
Cc: Mihai Moldovan <ionic@ionic.de>
Subject: Re: [X2Go-Dev] Bug#1364: Bug#1364: MATE-Theming fails for x2gothinclient-minidesktop when installed on Debian Stretch
Date: Mon, 21 Jan 2019 11:54:14 +0000
[Message part 1 (text/plain, inline)]
Hi,

On  Fr 18 Jan 2019 17:04:14 CET, Stefan Baur wrote:

> Am 18.01.19 um 15:05 schrieb Mike Gabriel:

> @Mihai: As it stands, we have upcoming changes for
> x2gothinclient-minidesktop (this one)
> x2gothinclient-usbmount
> x2gothinclient-common [1]
> Would it make more sense to release them as a bundle?
> Or should we release them one at a time?

all bin:pkg come from the x2gothinclient src:pkg. So releasing  
separately is not "possible".

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1364; Package x2gothinclient-minidesktop. (Mon, 21 Jan 2019 12:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Mon, 21 Jan 2019 12:05:01 GMT) (full text, mbox, link).


Message #47 received at 1364@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 1364@bugs.x2go.org
Cc: Mihai Moldovan <ionic@ionic.de>
Subject: Re: [X2Go-Dev] Bug#1364: Bug#1364: MATE-Theming fails for x2gothinclient-minidesktop when installed on Debian Stretch
Date: Mon, 21 Jan 2019 13:02:21 +0100
[Message part 1 (text/plain, inline)]
Am 21.01.19 um 12:54 schrieb Mike Gabriel:
>>
>> Would it make more sense to release them as a bundle?
>> Or should we release them one at a time?
> 
> all bin:pkg come from the x2gothinclient src:pkg. So releasing
> separately is not "possible".

Still, we could do three single releases, each with the fix for one of
the three binary packages mentioned, or we could wait until we have all
three issues fixed and do one release.

I have a gut feeling that doing one release with all three fixes is
better, but maybe someone has a good argument for doing separate ones,
like it simplifying testing?

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1364; Package x2gothinclient-minidesktop. (Fri, 29 Nov 2019 03:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 29 Nov 2019 03:20:03 GMT) (full text, mbox, link).


Message #52 received at 1364@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 1364-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1364@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as closed
Date: Fri, 29 Nov 2019 04:19:07 +0100 (CET)
close #1364
thanks

Hello,

we are very hopeful that X2Go issue #1364 reported by you
has been resolved in the new release (1.5.0.1) of the
X2Go source project »src:x2gothinclient«.

You can view the complete changelog entry of src:x2gothinclient (1.5.0.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gothinclient.

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=47dc574d21fad5d288dd727f3f87681ca3c670da;hp=1710b77043664388d673d9f89630ad274ab2110b

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gothinclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gothinclient
Version: 1.5.0.1-0x2go2
Status: RELEASE
Timestamp: 1574997407
Date: Fri, 29 Nov 2019 04:16:47 +0100
Fixes: 1364
Changes:
 x2gothinclient (1.5.0.1-0x2go2) RELEASED; urgency=medium
 .
   [ Mihai Moldovan ]
   * New upstream release (1.5.0.1):
     - management/etc/x2gothinclient_settings: remove heuler from apt line.
     - management/etc/x2gothinclient_settings: add "extras" component.
     - misc: update copyright notices.
     - misc manpages: pre-release version and date updates.
   * usbmount/x2gousbmount:
     - Whitespace- and comment-only changes.
     - Rework x2gothinclientd check.
     - Remove uni_xlate from ntfs and vfat mounts, add utf8 option to vfat
       mounts and document this choice.
   * debian/control:
     + Add hicolor-icon-theme as an alternative to nuvola-icon-theme.
     + Replace lightdm dependency with nodm for now. This breaks MMD! Nodm is a
       bad choice in general, but lightdm has "dependency problems" (requires a
       package that provides the logind virtual package) and is apparently "too
       big". However, nodm is stale software and upstream considered replacing
       it with a lightdm wrapper, so let's see where that gets us...
 .
   [ Stefan Baur ]
   * New upstream release (1.5.0.1):
   * usbmount/x2gousbmount:
     - Pull (most) changes from doc:howto:tce wiki page.
 .
   [ Mike Gabriel ]
   * New upstream release (1.5.0.1):
     - 19_x2gothinclient-minidesktop.gschema.override: Explicitly use MATE-
       specific theming of the desktop UI. (Fixes: #1364).
     - Install minidesktop's background SVG to DATADIR and symlink to it in
       ETCDIR.
     - Provide empty/dummy FreeRDPv2 known_hosts2 file if not
       already there.
     - management/share/etc/x2gothinclient_init.d/010_x2gothinclient-fresh-home:
       Make X2Go Client desktop link executable, so that it becomes a real
       desktop link.
     - minidesktop/init/: Drop init script for mini desktop variant. Always been
       a no-op script.
     - Provide systemd service files for x2gothinclient-cdmanager and
       x2gothinclient-displaymanager.
     - init scripts: Use /run rather than /var/run for placing PID files.
     - minidesktop: Rename LTSP display manager override script to 88-... (from
       60-...). As suggested by Alkis Georgopoulos.
   * debian/rules:
     + Convert to pure debhelper rules file.
     + Remove Qt5 build cruft from cdmanager/powerej/.
   * debian/control:
     + Prefer lightdm over nodm for the minidesktop variant. With lightdm
       the minidesktop is set-up out of the box.
     + Add Rules-Requires-Root: field and set it to "no".
     + Bump Standards-Version: to 4.4.1. No changes needed.
     + Don't use first person plural pronoun in LONG_DESCRIPTION.
     + Add D (any bin:pkg reported by lintian): lsb-base.
   * debian/{control,x2gothinclient.<scripts>}:
     + Drop all transitional packages.
   * debian/x2gothinclient-minidesktop.init:
     + Drop init script, never had functionality.
   * debian/x2gothinclient-*.serivce:
     + Symlink to upstream files.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Fri, 29 Nov 2019 03:20:03 GMT) (full text, mbox, link).


Notification sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Bug acknowledged by developer. (Fri, 29 Nov 2019 03:20:03 GMT) (full text, mbox, link).


Message sent on to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Bug#1364. (Fri, 29 Nov 2019 03:20:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 27 Dec 2019 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Aug 4 03:19:07 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.